1

I did a bad virtualbox installation on 4.19.2-1-MANJARO with pacman.

This is my initial install stdout:

[gloom@tacos-pc etc]$ sudo pacman -S virtualbox
error: could not register 'multilib' database (database already registered)
resolving dependencies...
:: There are 11 providers available for VIRTUALBOX-HOST-MODULES:
:: Repository extra
   1) linux316-virtualbox-host-modules  2) linux318-virtualbox-host-modules
   3) linux414-virtualbox-host-modules  4) linux419-virtualbox-host-modules
   5) linux420-virtualbox-host-modules  6) linux44-virtualbox-host-modules
   7) linux49-virtualbox-host-modules
:: Repository community
   8) linux414-rt-virtualbox-host-modules
   9) linux416-rt-virtualbox-host-modules
   10) linux418-rt-virtualbox-host-modules  11) virtualbox-host-dkms

Enter a number (default=1): 
looking for conflicting packages...

Packages (3) linux316-3.16.62-1  linux316-virtualbox-host-modules-6.0.2-1
             virtualbox-6.0.2-1

Total Download Size:   117.19 MiB
Total Installed Size:  247.06 MiB

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
 linux316-3.16.62-1-...    55.6 MiB   598K/s 01:35 [######################] 100%
 linux316-virtualbox...   214.5 KiB   559K/s 00:00 [######################] 100%
 virtualbox-6.0.2-1-...    61.4 MiB   541K/s 01:56 [######################] 100%
(3/3) checking keys in keyring                     [######################] 100%
(3/3) checking package integrity                   [######################] 100%
(3/3) loading package files                        [######################] 100%
(3/3) checking for file conflicts                  [######################] 100%
(3/3) checking available disk space                [######################] 100%
:: Processing package changes...
(1/3) installing linux316                          [######################] 100%
>>> Updating module dependencies. Please wait ...
Optional dependencies for linux316
    crda: to set the correct wireless channels of your country [installed]
(2/3) installing linux316-virtualbox-host-modules  [######################] 100%
===> You must load vboxdrv module before starting VirtualBox:
===> # modprobe vboxdrv
(3/3) installing virtualbox                        [######################] 100%
Optional dependencies for virtualbox
    vde2: Virtual Distributed Ethernet support [installed]
    virtualbox-guest-iso: Guest Additions CD image
    virtualbox-ext-vnc: VNC server support
    virtualbox-sdk: Developer kit
:: Running post-transaction hooks...
( 1/10) Install DKMS modules
( 2/10) Updating linux316 initcpios
==> Building image from preset: /etc/mkinitcpio.d/linux316.preset: 'default'
  -> -k /boot/vmlinuz-3.16-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-3.16-x86_64.img
==> Starting build: 3.16.62-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-3.16-x86_64.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux316.preset: 'fallback'
  -> -k /boot/vmlinuz-3.16-x86_64 -c /etc/mkinitcpio.conf -g /boot/initramfs-3.16-x86_64-fallback.img -S autodetect
==> Starting build: 3.16.62-1-MANJARO
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [resume]
  -> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-3.16-x86_64-fallback.img
==> Image generation successful
( 3/10) Updating Grub-Bootmenu
Generating grub configuration file ...
Found theme: /usr/share/grub/themes/manjaro/theme.txt
Found linux image: /boot/vmlinuz-4.19-x86_64
Found initrd image: /boot/intel-ucode.img /boot/initramfs-4.19-x86_64.img
Found initrd fallback image: /boot/initramfs-4.19-x86_64-fallback.img
Found linux image: /boot/vmlinuz-3.16-x86_64
Found initrd image: /boot/intel-ucode.img /boot/initramfs-3.16-x86_64.img
Found initrd fallback image: /boot/initramfs-3.16-x86_64-fallback.img
Found memtest86+ image: /boot/memtest86+/memtest.bin
done
( 4/10) Updating icon theme caches...
( 5/10) Reloading system manager configuration...
( 6/10) Creating system user accounts...
( 7/10) Reloading device manager configuration...
( 8/10) Arming ConditionNeedsUpdate...
( 9/10) Updating the desktop file MIME type cache...
(10/10) Updating the MIME type database...

I believe it was a bad install because when I tried to run virtualbox after installation I got an error that said:

Unloading modules: 
Loading modules: modprobe: FATAL: Module vboxnetadp not found in directory /lib/modules/4.19.2-1-MANJARO
modprobe: FATAL: Module vboxnetflt not found in directory /lib/modules/4.19.2-1-MANJARO
modprobe: FATAL: Module vboxpci not found in directory /lib/modules/4.19.2-1-MANJARO
modprobe: FATAL: Module vboxdrv not found in directory /lib/modules/4.19.2-1-MANJARO

I was following the instructions listed here: https://wiki.manjaro.org/index.php?title=VirtualBox#Install_VirtualBox and I selected the default kernel option (first prompt during install) instead of selecting one based on my manjaro install for linux*-virtualbox-host-modules.

Then I tried to uninstall virtualbox by using packman -Rs virtualbox. However, when I try to start again, I am not given the prompt to select my linux*-virtualbox-host-modules version. When I try to install again, it defaults to virtualbox-6.0.2-1. Obviously I'm not great at installing things. Then I moved linux${wrong}-virtualbox-host-modules to the side and tried installing again... It did not prompt me for the version number but I let the install anyway.

When I tried to run the second install, I got this error:

WARNING: The vboxdrv kernel module is not loaded. Either there is no module
         available for the current kernel (4.19.2-1-MANJARO) or it failed to
         load. Please recompile the kernel module and install it by

           sudo /sbin/vboxconfig

         You will not be able to start VMs until this problem is fixed.
/usr/lib/virtualbox/VirtualBox: /usr/lib/libQt5Core.so.5: version `Qt_5.12' not found (required by /usr/lib/virtualbox/VirtualBox)
/usr/lib/virtualbox/VirtualBox: /usr/lib/libQt5Core.so.5: version `Qt_5.12' not found (required by /usr/lib/virtualbox/VBoxGlobal.so)

Then I tried to pacman -S linux419-virtualbox-host-modules and it ran successfully but I still have the error.

How do I fix this?

0

I solved this by removing the virtualbox-host-modules package recursively, which also gets rid of the other package.

You can do so by running: sudo pacman -Rcs virtualbox-host-modules

Then, reinstall the package: sudo pacman -Syu virtualbox-host-modules

Doing a sudo modprobe -a vboxsf confirmed that this worked for me.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.